Name:            emacs-php-mode
Version:         1.17.0
Release:         5%{?dist}
Summary:         Major GNU Emacs mode for editing PHP code
Group:           Applications/Editors
License:         GPLv3+
URL:             http://github.com/ejmr/php-mode
Source0:         https://github.com/ejmr/php-mode/archive/v%{version}.tar.gz
Source1:         php-mode-init.el
Patch1:          php-ext-path.patch
BuildArch:       noarch
BuildRequires:   emacs emacs-el texinfo
Requires:        emacs(bin) >= %{_emacs_version}
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
Major GNU Emacs mode for editing PHP code.

%prep
%setup -q -n php-mode-%{version}
%patch1 -p1

%build
make %{?_smp_mflags} all
%{_emacs_bytecompile} skeleton/*.el

%install
mkdir -p %{buildroot}/%{_emacs_sitelispdir}/php-mode
install -p -m 644 *.el{,c} %{buildroot}/%{_emacs_sitelispdir}/php-mode/
install -p -m 644 skeleton/*.el{,c} %{buildroot}/%{_emacs_sitelispdir}/php-mode/

# Install php-mode-init.el
mkdir -p %{buildroot}%{_emacs_sitestartdir}
install -p -m 644 %SOURCE1 %{buildroot}%{_emacs_sitestartdir}

%check
make test

%post
/sbin/install-info %{_infodir}/php-mode.info %{_infodir}/dir 2> /dev/null || :

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/php-mode.info %{_infodir}/dir 2> /dev/null || :
fi

%files
%doc Changelog.md
%license LICENSE
%{_emacs_sitestartdir}/php-mode-init.el
%dir %{_emacs_sitelispdir}/php-mode
%{_emacs_sitelispdir}/php-mode/*

%changelog
* Fri Dec 18 2015 Petr Hracek <phracek@redhat.com> - 1.17.0-5
- set php-ext-path by default
- include all skeletons on request
- Resolves #1289860

* Mon Dec 14 2015 Petr Hracek <phracek@redhat.com> - 1.17.0-4
- Add php-ext.el{,c} files
- Resolves #1289860

* Thu Dec 10 2015 Petr Hracek <phracek@redhat.com> - 1.17.0-3
- Add -p to install command
- remove %_emacs_bytecompile php-mode.el

* Wed Dec 09 2015 Petr Hracek <phracek@redhat.com> - 1.17.0-2
- Remove 'auto-mode-alist from php-mode-init.el

* Wed Dec 09 2015 Petr Hracek <phracek@redhat.com> - 1.17.0-1
- Use -p in install commands
- Change Source0 from sourceforge to github

* Wed Dec 09 2015 Petr Hracek <phracek@redhat.com> - 1.5.0-1
- Initial package (#1289860)
